Author Topic: Offset block lisp?  (Read 6092 times)

0 Members and 1 Guest are viewing this topic.

hudster

  • Gator
  • Posts: 2848
Offset block lisp?
« on: March 04, 2004, 04:21:53 AM »
Does anyone have a copy of a lisp which will let me offset blocks?

I have a set of sockets and rather than copy each one in the layout 1200mm from each other, it would be handy if i could offset them.

Cheers in advance.
Revit BDS 2017, 2016, 2015, 2014, AutoCAD 2017, 2016, Navisworks 2017, 2016, BIM360 Glue

hendie

  • Guest
Offset block lisp?
« Reply #1 on: March 04, 2004, 06:11:12 AM »
have you tried DIVIDE or MEASURE ?
you would need to draw a line first of course but it should do what you require

*edited*

or even the ARRAY command ? just specify 1 row with a 1200 spacing

hudster

  • Gator
  • Posts: 2848
Offset block lisp?
« Reply #2 on: March 04, 2004, 06:48:54 AM »
I use divide on standard blocks, but these have attributes and they can't be used with the divide command.
Revit BDS 2017, 2016, 2015, 2014, AutoCAD 2017, 2016, Navisworks 2017, 2016, BIM360 Glue

Keith™

  • Villiage Idiot
  • Seagull
  • Posts: 16899
  • Superior Stupidity at its best
Offset block lisp?
« Reply #3 on: March 04, 2004, 09:04:05 AM »
Array.... what is wrong with array?????
Proud provider of opinion and arrogance since November 22, 2003 at 09:35:31 am
CadJockey Militia Field Marshal

Find me on https://parler.com @kblackie

Mark

  • Custom Title
  • Seagull
  • Posts: 28762
Offset block lisp?
« Reply #4 on: March 04, 2004, 09:08:06 AM »
What about copy? Turn on ortho and input 1200. Or am I missing the point!
TheSwamp.org  (serving the CAD community since 2003)

hendie

  • Guest
Offset block lisp?
« Reply #5 on: March 04, 2004, 09:12:56 AM »
the array's have it ! :crazy:

Keith™

  • Villiage Idiot
  • Seagull
  • Posts: 16899
  • Superior Stupidity at its best
Offset block lisp?
« Reply #6 on: March 04, 2004, 09:16:21 AM »
We must be :crazy:
Proud provider of opinion and arrogance since November 22, 2003 at 09:35:31 am
CadJockey Militia Field Marshal

Find me on https://parler.com @kblackie

hudster

  • Gator
  • Posts: 2848
Offset block lisp?
« Reply #7 on: March 04, 2004, 09:36:32 AM »
I was looking for something quicker, with offset it semembers the settings, and i don't heve to set it up each time and as we are talking about hundreds of sockets it would be easier to offset by 1200 than set up an arrayt each time.

At the moment i'm using ortho and typeing in 1200, but its time consuming and very boring, was just looking for a quicker method.
Revit BDS 2017, 2016, 2015, 2014, AutoCAD 2017, 2016, Navisworks 2017, 2016, BIM360 Glue

hendie

  • Guest
Offset block lisp?
« Reply #8 on: March 04, 2004, 09:40:45 AM »
then why not just set up a button macro for array ?

Keith™

  • Villiage Idiot
  • Seagull
  • Posts: 16899
  • Superior Stupidity at its best
Offset block lisp?
« Reply #9 on: March 04, 2004, 09:51:20 AM »
Well write a short proggie...
Code: [Select]

(defun C:OB()
(setq obj (entsel))
(command "_copy" (car obj) "" "@" (strcat "@1200<<" (angtos(getangle (cadr obj))))
)

Should work for you....
Proud provider of opinion and arrogance since November 22, 2003 at 09:35:31 am
CadJockey Militia Field Marshal

Find me on https://parler.com @kblackie

M-dub

  • Guest
Offset block lisp?
« Reply #10 on: March 04, 2004, 11:49:02 AM »
I dunno...I'd just suggest the array...It's less painfull in versions later than...2000, I think.